% f_Sfiler: the average response of 13 filters 
function f_Sfilter = Sfilter_img(I)
   
    F = makeSfilters; 
    f_num = size(F,3); 
    
    [H,W,Z] = size(I);
    if (Z==3) I = double(rgb2gray(I)); Z = 1; end

    I_out = zeros(H, W, f_num); 
    for i=1:f_num
       I_out(:,:, i)  = filter2(F(:,:, i),I);
       f_Sfilter(i) = mean(mean(I_out(:,:,i))); 
    end
    
end