% by dengxin dai
function fet_out = feature_loader(img_path, img_name, fet_name)

switch fet_name
    case 'textureness' 
        load(strcat(img_path, 'textureness/', img_name, '.mat')); 
        fet_out = fet; 

    case 'selfmatching'     
        load(strcat(img_path, 'selfmatching/', img_name, '.mat')); 
        fet_out =  fet;
        
    case 'homogeneity'     
        load(strcat(img_path, 'homogeneity/', img_name, '.mat'));
        fet_out = fet;
        
    case 'repetitiveness'   
        load(strcat(img_path, 'repetitiveness/', img_name, '.mat'));
        fet_out = fet;
        
    case 'irregularity' 
        load(strcat(img_path, 'irregularity/', img_name, '.mat'));
        fet_out = fet;
        
    case 'Sfilter' 
        load(strcat(img_path, 'Sfilter/', img_name, '.mat'));
        fet_out = fet;
        
    case 'lbp' 
        load(strcat(img_path, 'lbp/', img_name, '.mat'));
        fet_out = fet;
        
    case 'gist'
        load(strcat(img_path, 'gist/', img_name, '.mat'));
        fet_out = fet;
end

fet_out = fet_out(:);
end