% feature extraction of image synthesizability for final submission 
function irregularity_compile(set_ind)
%[set_ind] 

if(ischar(set_ind))
    set_ind = str2double(set_ind);
end

%clear all, clc  % feature extraction of a dataset, e.g. uiuc25
if (~isdeployed()) 
    addpath(genpath('/scratch_net/pengyou/Dai/Code/synthesizability_cvpr14/libs/')); 
    addpath(genpath('/scratch_net/pengyou/Dai/Code/synthesizability_cvpr14/regularity/')); 
    %addpath(genpath('/scratch_net/pengyou/Dai/Code/matlab_lib/lib_daid/knn/')); 
end

data_path = '/scratch_net/pengyou/Dai/Data/Texture/synthesizability/ethz/texture/'; 
fet_path =  '/scratch_net/pengyou/experiments/synthesizability/ethz/feature/'; 
load('/scratch_net/pengyou/Dai/Data/Texture/synthesizability/ethz/synthesizability_labeling.mat'); 

%[data_path] 
%vl_setup; 
img_num = length(TEXTURE); 
%[img_num]

num_per_cluster = 107;     % 200 clusters % the number of images handled per cluster (100 in total)
img_ind = (set_ind-1)*num_per_cluster+1:set_ind*num_per_cluster; 

if img_ind(1)>img_num return; end 
if img_ind(end)>img_num   img_ind = img_ind(1:img_num-img_ind(1)+1); end   %truncate 

% img_path = '/scratch_net/pengyou/Dai/Data/Texture/synthesizability/paper/regularity/'; 
% img_set = dir(strcat(img_path, '*.jpg')); 

for n=1:length(img_ind)
        
       img = imread(strcat(img_path, img_set(n).name)); %imread(strcat(data_path, TEXTURE(img_ind(n)).name, '.jpg'));        
       % irregularity
       fname = 'irregularity'; 
       if ~exist(strcat(fet_path, fname, '/', TEXTURE(img_ind(n)).name, '.mat'), 'file')
           f_irregularity = irregularity_run_fast_img(img); 
           if ~exist(strcat(fet_path, fname, '/')) mkdir(strcat(fet_path, fname, '/')); end
           save(strcat(fet_path, fname, '/', TEXTURE(img_ind(n)).name, '.mat'), 'f_irregularity'); 
       end
end

% 
% [f_value, f_ind] = sort(f_irregularity, 'descend');
% 
% for n=1:length(img_set) 
% 
%     subplot(5, 4, n); % figure(n);
%     imshow(imread(strcat(img_path, img_set(f_ind(n)).name)));
% end
% f_value(:)
end
