% display images in a set with values 
%[set_ind] 

%clear all, clc  % feature extraction of a dataset, e.g. uiuc25
if (~isdeployed()) 
    addpath(genpath('/scratch_net/pengyou/Dai/Code/synthesizability_cvpr14/libs/')); 
    addpath(genpath('/scratch_net/pengyou/Dai/Code/synthesizability_cvpr14/irregularity/')); 
    %addpath(genpath('/scratch_net/pengyou/Dai/Code/matlab_lib/lib_daid/knn/')); 
end


img_path = '/scratch_net/pengyou/Dai/Data/Texture/synthesizability/paper/regularity/'; 
img_set = dir(strcat(img_path, '*.jpg')); 

vl_setup; 
for n=1:length(img_set)  %length(img_ind)
        
       img = imread(strcat(img_path, img_set(n).name)); %imread(strcat(data_path, TEXTURE(img_ind(n)).name, '.jpg'));        
       % irregularity
       f_irregularity(n) = irregularity_run_fast_img(img); 
        
end

% 
[f_value, f_ind] = sort(f_irregularity, 'descend');

for n=1:length(img_set) 
    subplot(5, 4, n); % figure(n);
    imshow(imread(strcat(img_path, img_set(f_ind(n)).name)));
     text(0.5, 0.5, img_set(f_ind(n)).name);
end
f_value(:)

 f_v = (f_value-min(f_value))./(max(f_value)-min(f_value)).*1;
 
disp('finished')