function  [f_textureness] = textureness_img(img)
% get the textureness of images via classification: positive uiuc, negative
% scene 15
    f_gist = gist_img(img); 
    
    f_gist = f_gist(:); 
    
    load('Textureness_classification_model.mat'); % load trained classifier
    
    [xx, yy, f_textureness] = svmpredict(1,f_gist', LRC_model);    

end
