%test patchExtraction

%img = imread('/scratch/Dai/Data/Texture/synthesizability/ethz/google/texture/google_brick_1.jpg'); 
img = imread('coins.png'); 

%img = img(:, :, 1);

%img = zeros(400, 200);

[h, w, z] = size(img);

patch_size = 20; 

step = 1; 

 
tic
[img_out, x_out, y_out, x_num, y_num] = patchExtraction(uint32(img), uint32(z), uint32(patch_size), uint32(step)); 
toc

l = length(img_out);

img_out = reshape(img_out, [patch_size.^2 z y_num x_num ]);

img_out = permute(img_out, [3 4 1 2]);


subplot(1,3,1);
imshow(uint8(squeeze(img_out(:,:, 1,:))));

subplot(1,3,2);
imshow(uint8(squeeze(img_out(:,:, patch_size^2/2,:))));

subplot(1,3,3);
imshow(uint8(squeeze(img_out(:,:, patch_size^2,:))));
